[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPList.Remove

Removes a value from the list.

## Declaration

Source position: classesh.inc line 263

`public function TFPList.Remove(`
`Item: Pointer`
`):Integer;`

## Description

Remove searches Item in the list, and, if it finds it, deletes the item from the list. Only the first occurrence of Item is removed.

## See also

Delete |  | Removes a pointer from the list.
IndexOf |  | Returns the index of a given pointer.
Insert |  | Inserts a new pointer in the list at a given position.

Documentation generated on: Feb 26 2014